﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;

namespace Cuyahoga.Web.MVC.ViewComponents
{
	/// <summary>
	/// Implementation of IViewComponentFactory that creates view components via Activator.CreateInstance().
	/// </summary>
	public class DefaultViewComponentFactory : AbstractViewComponentFactory
	{
		/// <summary>
		/// Create an instance of the view component with the given name. 
		/// </summary>
		/// <param name="componentName"></param>
		/// <returns></returns>
		public override IViewComponent Create(string componentName)
		{
			Type componentType = ResolveType(componentName);
			IViewComponent viewComponent = Activator.CreateInstance(componentType) as IViewComponent;
			return viewComponent;
		}
	}
}
