﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;

namespace Cuyahoga.Web.MVC.ViewComponents
{
	/// <summary>
	/// A reusable self-containing component for the ASP.NET MVC framework.
	/// </summary>
	public interface IViewComponent
	{
		/// <summary>
		/// Initialize the view component.
		/// </summary>
		/// <param name="viewContext"></param>
		/// <param name="contextData"></param>
		void Init(ViewContext viewContext, object contextData);

		/// <summary>
		/// Initialize the view component.
		/// </summary>
		void Initialize();

		/// <summary>
		/// Render the view of the component to a string.
		/// </summary>
		/// <returns></returns>
		string Render();
	}
}
