﻿using System.Text.RegularExpressions;
namespace Cuyahoga.Web.Manager.Helpers
{
	public static class ResourceHelper
	{
		/// <summary>
		/// Get a localized string from the GlobalResources class.
		/// </summary>
		/// <param name="resourceKey"></param>
		/// <returns></returns>
		public static string GetGlobalText(string resourceKey)
		{
			// First check if the resourceKey is valid
			if (Regex.IsMatch(resourceKey, "[a-zA-Z0-9]"))
			{
				string localizedString = Resources.GlobalResources.ResourceManager.GetString(resourceKey);
				return localizedString ?? resourceKey;
			}
			else
			{
				return resourceKey;
			}
		}
	}
}
