using System;

namespace Cuyahoga.Web.Manager.Models
{
	/// <summary>
	/// Helper class for displaying messages.
	/// </summary>
	public class MessageData
	{
		private string _message;
		private string _error;
		private Exception _exception;

		public string Message 
		{
			get { return this._message; }
			set { this._message = value; }
		}

		public string Error 
		{
			get { return this._error; }
			set { this._error = value; }
		}

		public Exception Exception 
		{
			get { return this._exception; } 
			set { this._exception = value; } 
		}

		public bool HasMessage
		{
			get { return ! String.IsNullOrEmpty(this._message); }
		}

		public bool HasError
		{
			get { return !String.IsNullOrEmpty(this._error); }
		}

		public bool HasException
		{
			get { return this._exception != null; }
		}
	}
}
