﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Default.master" AutoEventWireup="true" CodeBehind="EditUser.aspx.cs" Inherits="Cuyahoga.Web.Manager.Views.Users.EditUser" %>
<%@ Import Namespace="System.Web.Mvc" %>
<%@ Import Namespace="Cuyahoga.Core.Domain" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphTasks" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMain" runat="server">
	<%
	User user = ViewData["user"] as User;
	%>
	<h1><%= Resources.GlobalResources.EditUserPageTitle %></h1>
	<form id="userform" action="<%= Url.Action(new { action="UpdateUser" }) %>" method="post">
	<%= Html.Hidden("userid", user.Id) %>
	<fieldset>
	<ol>
		<li>
		<label for="UserName"><%= Resources.GlobalResources.UsernameLabel %></label>
		<%= user.UserName %>
		</li>
		<li>
		<label for="FirstName"><%= Resources.GlobalResources.FirstnameLabel %></label>
		<%= Html.TextBox("FirstName", user.FirstName ?? String.Empty, new { style = "width:200px" })%>
		</li>
		<li>
		<label for="LastName"><%= Resources.GlobalResources.LastnameLabel %></label>
		<%= Html.TextBox("LastName", user.FirstName ?? String.Empty, new { style = "width:200px" })%>
		</li>
		<li>
		<label for="Email"><%= Resources.GlobalResources.EmailLabel %></label>
		<%= Html.TextBox("Email", user.Email ?? String.Empty, new { style = "width:200px" })%>
		</li>
		<li>
		<label for="Website"><%= Resources.GlobalResources.WebsiteLabel %></label>
		<%= Html.TextBox("Website", user.Website ?? String.Empty, new { style = "width:200px" })%>
		</li>
		<li>
			<fieldset>  
				<legend><%= Resources.GlobalResources.RolesLabel %></legend>  
				<ol>  
					<% foreach (var role in ViewData["roles"] as System.Collections.Generic.IList<Role>) { %>
					<li>  
						<input type="checkbox" name="RoleIds" id="Role_<%= role.Id %>" value="<%= role.Id %>" <%= user.IsInRole(role) ? "checked" : String.Empty %> />
						<label for="Role_<%= role.Id %>"><%= role.Name %></label>  
					</li>
					<% } %>
				</ol>
			</fieldset>
		</li>
	</ol>
	</fieldset>
	<%= Html.SubmitButton("btnSave", Resources.GlobalResources.SaveButtonLabel) %>
	<%= Html.ActionLink<Cuyahoga.Web.Manager.Controllers.UsersController>(action => action.Index(), Resources.GlobalResources.CancelLabel)%>
	</form>
	<br />
	<form id="passwordform" action="<%= Url.Action(new { action="UpdatePassword" }) %>" method="post">
	<%= Html.Hidden("userid", user.Id) %>
	<fieldset>
	<ol>
		<li>
		<label for="Password"><%= Resources.GlobalResources.PasswordLabel %></label>
		<%= Html.Password("Password") %>
		</li>
		<li>
		<label for="PasswordConfirmation"><%= Resources.GlobalResources.ConfirmPasswordLabel %></label>
		<%= Html.Password("PasswordConfirmation") %>
		</li>
	</ol>
	</fieldset>
	<%= Html.SubmitButton("btnSave", Resources.GlobalResources.UpdatePasswordButtonLabel) %>
	</form>
</asp:Content>
