﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Default.master" AutoEventWireup="true" CodeBehind="Index.aspx.cs" Inherits="Cuyahoga.Web.Manager.Views.Users.Index"  %>
<%@ Import Namespace="System.Web.Mvc" %>
<%@ Import namespace="System.Collections.Generic" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="server">
	<h1><%= Resources.GlobalResources.UsersPageTitle %></h1>
	<p>
	<% using(Html.Form("Find", "Users", FormExtensions.FormMethod.get)) { %>
	<%= Resources.GlobalResources.FindUsersLabel %> <%= Html.TextBox("searchname", ViewData["searchname"] ?? String.Empty) %>
	<%= Html.SubmitButton("btnSearch", Resources.GlobalResources.SearchButtonLabel) %>
	<% } %>
	</p>
	<% if (ViewData.ContainsDataItem("users")) { %>
	<br />
	<script type="text/javascript">
	function deleteUser(userId)
	{
		if (confirm('<%= Resources.GlobalResources.AreYouSure %>'))
		{
			var theForm = document.getElementById("usersForm");
			theForm.elements["userId"].value = userId;
			return theForm.submit();
		}
		else
		{
			return false;
		}
	}
	</script>
	<form id="usersForm" action="<%= Url.Action(new { action = "DeleteUser" }) %>" method="post">
	<%= Html.Hidden("userId", String.Empty) %>
	<table class="grid">
		<thead>
			<tr>
				<th><%= Resources.GlobalResources.UsernameLabel %></th>
				<th><%= Resources.GlobalResources.FullnameLabel %></th>
				<th><%= Resources.GlobalResources.EmailLabel %></th>
				<th><%= Resources.GlobalResources.WebsiteLabel %></th>
				<th>&nbsp;</th>
			</tr>
		</thead>
		<tbody>
			<% foreach(var user in ViewData["users"] as IList<Cuyahoga.Core.Domain.User>) { %>
			<tr>
				<td><%= user.UserName  %></td>
				<td><%= user.FullName %></td>
				<td><%= user.Email %></td>
				<td><%= user.Website %></td>
				<td>
					<%= Html.ActionLink(Resources.GlobalResources.EditLinkLabel, new { action = "EditUser", id = user.Id }) %>
					<a href="#" onclick="deleteUser(<%= user.Id %>);"><%= Resources.GlobalResources.DeleteLinkLabel %></a>
				</td>
			</tr>
			<% } %>
		</tbody>
	</table>
	</form>
	<% } %>
</asp:Content>
<asp:content id="Content2" contentplaceholderid="cphTasks" runat="server">
	<h2>Common tasks</h2>
	<ul>
		<li><%= Html.ActionLink(Resources.GlobalResources.NewUserLabel, "NewUser") %></li>
	</ul>
</asp:content>